Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.config
Class CSVDataSet

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.config.ConfigTestElement
              org.apache.jmeter.config.CSVDataSet

All Implemented Interfaces:
  Cloneable, ConfigElement, LoopIterationListener, Serializable, TestBean, TestElement

public class CSVDataSet
extends ConfigTestElement
implements TestBean, LoopIterationListener

Read lines from a file and split int variables. The iterationStart() method is used to set up each set of values. By default, the same file is shared between all threads (and other thread groups, if they use the same file name). The shareMode can be set to:

- All threads - default, as described above
- Current thread group
- Current thread
- Identifier - all threads sharing the same identifier

The class uses the FileServer alias mechanism to provide the different share modes. For all threads, the file alias is set to the file name. Otherwise, a suffix is appended to the filename to make it unique within the required context. For current thread group, the thread group identityHashcode is used; for individual threads, the thread hashcode is used as the suffix. Or the user can provide their own suffix, in which case the file is shared between all threads with the same suffix.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.jmeter.config.ConfigTestElement
`PASSWORD, USERNAME`

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`CSVDataSet()`

Method Summary
`String` | `getDelimiter()`
`String` | `getFileEncoding()`
`String` | `getFilename()`
`boolean` | `getQuotedData()`
`boolean` | `getRecycle()`
`String` | `getShareMode()`
`boolean` | `getStopThread()`
`String` | `getVariableNames()`
`void` | `iterationStart(LoopIterationEvent iterEvent)`
`void` | `setDelimiter(String delimiter)`
`void` | `setFileEncoding(String fileEncoding)`
`void` | `setFilename(String filename)`
`void` | `setQuotedData(boolean quoted)`
`void` | `setRecycle(boolean recycle)`
`void` | `setShareMode(String value)`
`void` | `setStopThread(boolean value)`
`void` | `setVariableNames(String variableNames)`

Methods inherited from class org.apache.jmeter.config.ConfigTestElement
`addConfigElement, addTestElement, expectsModification`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement
`addProperty, canRemove, clear, clearTemporary, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.jmeter.config.ConfigElement
`clone`

Constructor Detail

### CSVDataSet

    public CSVDataSet()

Method Detail

### iterationStart

    public void iterationStart(LoopIterationEvent iterEvent)

  Specified by:
    `iterationStart` in interface `LoopIterationListener`

### getFilename

    public String getFilename()

  Returns:
    Returns the filename.

### setFilename

    public void setFilename(String filename)

  Parameters:
    `filename` - The filename to set.

### getFileEncoding

    public String getFileEncoding()

  Returns:
    Returns the file encoding.

### setFileEncoding

    public void setFileEncoding(String fileEncoding)

  Parameters:
    `fileEncoding` - The fileEncoding to set.

### getVariableNames

    public String getVariableNames()

  Returns:
    Returns the variableNames.

### setVariableNames

    public void setVariableNames(String variableNames)

  Parameters:
    `variableNames` - The variableNames to set.

### getDelimiter

    public String getDelimiter()

### setDelimiter

    public void setDelimiter(String delimiter)

### getQuotedData

    public boolean getQuotedData()

### setQuotedData

    public void setQuotedData(boolean quoted)

### getRecycle

    public boolean getRecycle()

### setRecycle

    public void setRecycle(boolean recycle)

### getStopThread

    public boolean getStopThread()

### setStopThread

    public void setStopThread(boolean value)

### getShareMode

    public String getShareMode()

### setShareMode

    public void setShareMode(String value)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.